Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLFileStreamPolicy

`java.lang.Object
oracle.toplink.xml.XMLFileStreamPolicy`

All Implemented Interfaces:
  java.io.Serializable, XMLStreamPolicy

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLFileStreamPolicy
extends java.lang.Object
implements XMLStreamPolicy

This implementation of the `XMLStreamPolicy` interface simply wraps the supplied file (or files) in the appropriate stream (or enumeration of streams).

Since:
  TOPLink/Java 3.0
See Also:
  `XMLCall`, `XMLAccessor`, `XMLFileAccessor`, Serialized Form

Field Summary
`static int` | `MAX_READ_BUFFER_SIZE` Deprecated. Performance tweak: The maximum size of the read buffer used when reading XML files.
`static int` | `MAX_WRITE_BUFFER_SIZE` Deprecated.
`static int` | `MIN_WRITE_BUFFER_SIZE` Deprecated. Performance tweak: The minimum and maximum sizes of the write buffer used when writing XML files.

Constructor Summary
`XMLFileStreamPolicy(java.util.Enumeration files)` Deprecated. Construct a policy for the specified files.
`XMLFileStreamPolicy(java.io.File file)` Deprecated. Construct a policy for the specified file.
`XMLFileStreamPolicy(java.lang.String fileName)` Deprecated. Construct a policy for the specified file.

Method Summary
`java.lang.Integer` | `deleteStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements, Accessor accessor)` Deprecated. Delete the data for the specified root element and primary key.
`java.io.Reader` | `getExistenceCheckStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements, Accessor accessor)` Deprecated. If it exists, return a read stream on the data for the specified root element and primary key.
`java.io.Writer` | `getExistingWriteStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements, Accessor accessor)` Deprecated. Return a write stream that will overwrite the data for the specified root element and primary key.
`java.io.Writer` | `getNewWriteStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements, Accessor accessor)` Deprecated. Return a new write stream for the specified root element and primary key.
`java.io.Reader` | `getReadStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements, Accessor accessor)` Deprecated. Return a read stream on the data for the specified root element and primary key.
`java.util.Enumeration` | `getReadStreams(java.lang.String rootElementName, Accessor accessor)` Deprecated. Return an enumeration on a collection of read streams, one for *every* document with the specified root element.
`java.util.Enumeration` | `getReadStreams(java.lang.String rootElementName, java.util.Vector foreignKeys, java.util.Vector orderedForeignKeyElements, Accessor accessor)` Deprecated. Return an enumeration on a collection of streams, one for every specified foreign key.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_READ_BUFFER_SIZE

    public static int MAX_READ_BUFFER_SIZE

  Deprecated.
  Performance tweak: The maximum size of the read buffer used when reading XML files.

### MIN_WRITE_BUFFER_SIZE

    public static int MIN_WRITE_BUFFER_SIZE

  Deprecated.
  Performance tweak: The minimum and maximum sizes of the write buffer used when writing XML files.

### MAX_WRITE_BUFFER_SIZE

    public static int MAX_WRITE_BUFFER_SIZE

  Deprecated.

Constructor Detail

### XMLFileStreamPolicy

    public XMLFileStreamPolicy(java.io.File file)

  Deprecated.
  Construct a policy for the specified file.

### XMLFileStreamPolicy

    public XMLFileStreamPolicy(java.lang.String fileName)

  Deprecated.
  Construct a policy for the specified file.

### XMLFileStreamPolicy

    public XMLFileStreamPolicy(java.util.Enumeration files)

  Deprecated.
  Construct a policy for the specified files.

Method Detail

### deleteStream

    public java.lang.Integer deleteStream(java.lang.String rootElementName,
                                          DatabaseRow row,
                                          java.util.Vector orderedPrimaryKeyElements,
                                          Accessor accessor)
                                   throws XMLDataStoreException

  Deprecated.
  Delete the data for the specified root element and primary key. Return the stream count (1 or 0). Simply delete the file, if it exists.
  Specified by:
    `deleteStream` in interface `XMLStreamPolicy`
  Throws:
    `XMLDataStoreException`

### getExistenceCheckStream

    public java.io.Reader getExistenceCheckStream(java.lang.String rootElementName,
                                                  DatabaseRow row,
                                                  java.util.Vector orderedPrimaryKeyElements,
                                                  Accessor accessor)
                                           throws XMLDataStoreException

  Deprecated.
  If it exists, return a read stream on the data for the specified root element and primary key. If it does not exist, return null.
  Specified by:
    `getExistenceCheckStream` in interface `XMLStreamPolicy`
  Throws:
    `XMLDataStoreException`

### getExistingWriteStream

    public java.io.Writer getExistingWriteStream(java.lang.String rootElementName,
                                                 DatabaseRow row,
                                                 java.util.Vector orderedPrimaryKeyElements,
                                                 Accessor accessor)
                                          throws XMLDataStoreException

  Deprecated.
  Return a write stream that will overwrite the data for the specified root element and primary key.
  Specified by:
    `getExistingWriteStream` in interface `XMLStreamPolicy`
  Throws:
    `XMLDataStoreException`

### getNewWriteStream

    public java.io.Writer getNewWriteStream(java.lang.String rootElementName,
                                            DatabaseRow row,
                                            java.util.Vector orderedPrimaryKeyElements,
                                            Accessor accessor)
                                     throws XMLDataStoreException

  Deprecated.
  Return a new write stream for the specified root element and primary key.
  Specified by:
    `getNewWriteStream` in interface `XMLStreamPolicy`
  Throws:
    `XMLDataStoreException`

### getReadStream

    public java.io.Reader getReadStream(java.lang.String rootElementName,
                                        DatabaseRow row,
                                        java.util.Vector orderedPrimaryKeyElements,
                                        Accessor accessor)
                                 throws XMLDataStoreException

  Deprecated.
  Return a read stream on the data for the specified root element and primary key. If the stream is not found return null.
  Specified by:
    `getReadStream` in interface `XMLStreamPolicy`
  Throws:
    `XMLDataStoreException`

### getReadStreams

    public java.util.Enumeration getReadStreams(java.lang.String rootElementName,
                                                java.util.Vector foreignKeys,
                                                java.util.Vector orderedForeignKeyElements,
                                                Accessor accessor)
                                         throws XMLDataStoreException

  Deprecated.
  Return an enumeration on a collection of streams, one for every specified foreign key. If a particular stream is not found the enumeration will return null in its place.
  Specified by:
    `getReadStreams` in interface `XMLStreamPolicy`
  Throws:
    `XMLDataStoreException`

### getReadStreams

    public java.util.Enumeration getReadStreams(java.lang.String rootElementName,
                                                Accessor accessor)
                                         throws XMLDataStoreException

  Deprecated.
  Return an enumeration on a collection of read streams, one for *every* document with the specified root element.
  Specified by:
    `getReadStreams` in interface `XMLStreamPolicy`
  Throws:
    `XMLDataStoreException`

### toString

    public java.lang.String toString()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD